# CellMap - RNA landscape inference method

<div style="text-align:left"><img style="width:100%; height: auto" src="https://github.com/yusuke-imoto-lab/CellMap/blob/main/figures/CellMap_Overview.jpg"/></div>

The CellMap is a RNA landscape inference method based on the graph Hodge decomposition. 

## Installation

To install CellMap package, use `pip` as follows:

```
$ pip install cellmap
```

## Requirements
* Python3
* matplotlib
* numpy
* scipy
* scikit-learn


## Turtorial

Turtorials are prepared by jupyter notebook.

* [Tutorial for pancreas endocrine cell data](https://github.com/yusuke-imoto-lab/CellMap/blob/main/tutorial/CellMap_tutorial_pancreas.ipynb)


## Visualization

We prepare original visualization system *[CellMap viewer](https://github.com/yusuke-imoto-lab/CellMapViewer)*. 

<div style="text-align:left"><img style="width:100%; height: auto" src="https://github.com/yusuke-imoto-lab/CellMapViewer/blob/main/Images/TopImage.png"/></div>